﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .divFeaturePopupCenter
        {
            font: 10pt Verdana, Arial, Helvetica, sans-serif;
            font-weight: bold;
            text-align: center;
            color: #FF0000;
        }
        .divFeaturePopupLeft
        {
            font: 10pt Verdana, Arial, Helvetica, sans-serif;
            font-weight: bold;
            text-align: left;
            color: #FF0000;
        }
    </style>

    <script src="JScript1.js" type="text/javascript"></script>
    <script type="text/javascript">
        var OnMapCreating = function(map) {
            OpenLayers.Map.prototype.setBaseLayer = function(newBaseLayer) {
                if (newBaseLayer != this.baseLayer) {

                    // ensure newBaseLayer is already loaded
                    if (OpenLayers.Util.indexOf(this.layers, newBaseLayer) != -1) {

                        // preserve center and scale when changing base layers
                        var center = this.getCenter();
                        var newResolution = OpenLayers.Util.getResolutionFromScale(
                    this.getScale(), newBaseLayer.units
                );

                        // make the old base layer invisible 
                        if (this.baseLayer != null && !this.allOverlays) {
                            this.baseLayer.setVisibility(false);
                        }

                        // set new baselayer
                        this.baseLayer = newBaseLayer;

                        this.events.triggerEvent("changebaselayer", {
                            layer: this.baseLayer
                        });

                        // Increment viewRequestID since the baseLayer is 
                        // changing. This is used by tiles to check if they should 
                        // draw themselves.
                        this.viewRequestID++;
                        if (!this.allOverlays || this.baseLayer.visibility) {
                            this.baseLayer.setVisibility(true);
                        }

//                        // recenter the map
//                        if (center != null) {
//                            // new zoom level derived from old scale
//                            var newZoom = this.getZoomForResolution(
//                        newResolution || this.resolution, true
//                    );
//                            // zoom and force zoom change
//                            this.setCenter(center, newZoom, false, true);
//                        }
                    }
                }
            }
        }
     </script>
</head>
<body id="vwlBody">
    <form id="form1" runat="server" method="post">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" OnBaseOverlayChanged="Map1_BaseOverlayChanged"
        Height="600px" Width="920px" BackColor="WhiteSmoke" BorderColor="Black" OnExtentChanged="Map1_ExtentChanged">
    </cc1:Map>
    </form>
</body>
</html>
